org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker

## Class PageLockListenerIndexAdapter

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker.PageLockListenerIndexAdapter

All Implemented Interfaces:
  PageLockListener

    public class PageLockListenerIndexAdapter
    extends Object
    implements PageLockListener

Page lock listener adapter with Id.

### Constructor Summary

Constructors
Constructor and Description
`PageLockListenerIndexAdapter(int id, PageLockListener delegate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onBeforeReadLock(int cacheId, long pageId, long page)`
`void` `onBeforeWriteLock(int cacheId, long pageId, long page)`
`void` `onReadLock(int cacheId, long pageId, long page, long pageAddr)`
`void` `onReadUnlock(int cacheId, long pageId, long page, long pageAddr)`
`void` `onWriteLock(int cacheId, long pageId, long page, long pageAddr)`
`void` `onWriteUnlock(int cacheId, long pageId, long page, long pageAddr)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PageLockListenerIndexAdapter

    public PageLockListenerIndexAdapter(int id,
                                        PageLockListener delegate)

Parameters:
  `id` - Adapter id.
  `delegate` - Real listener.

### Method Detail

#### onBeforeWriteLock

    public void onBeforeWriteLock(int cacheId,
                                  long pageId,
                                  long page)

Specified by:
  `onBeforeWriteLock` in interface `PageLockListener`
Parameters:
  `cacheId` - Cache ID.
  `pageId` - Page ID.
  `page` - Page pointer.

#### onWriteLock

    public void onWriteLock(int cacheId,
                            long pageId,
                            long page,
                            long pageAddr)

Specified by:
  `onWriteLock` in interface `PageLockListener`
Parameters:
  `cacheId` - Cache ID.
  `pageId` - Page ID.
  `page` - Page pointer.
  `pageAddr` - Page address.

#### onWriteUnlock

    public void onWriteUnlock(int cacheId,
                              long pageId,
                              long page,
                              long pageAddr)

Specified by:
  `onWriteUnlock` in interface `PageLockListener`
Parameters:
  `cacheId` - Cache ID.
  `pageId` - Page ID.
  `page` - Page pointer.
  `pageAddr` - Page address.

#### onBeforeReadLock

    public void onBeforeReadLock(int cacheId,
                                 long pageId,
                                 long page)

Specified by:
  `onBeforeReadLock` in interface `PageLockListener`
Parameters:
  `cacheId` - Cache ID.
  `pageId` - Page ID.
  `page` - Page pointer.

#### onReadLock

    public void onReadLock(int cacheId,
                           long pageId,
                           long page,
                           long pageAddr)

Specified by:
  `onReadLock` in interface `PageLockListener`
Parameters:
  `cacheId` - Cache ID.
  `pageId` - Page ID.
  `page` - Page pointer.
  `pageAddr` - Page address.

#### onReadUnlock

    public void onReadUnlock(int cacheId,
                             long pageId,
                             long page,
                             long pageAddr)

Specified by:
  `onReadUnlock` in interface `PageLockListener`
Parameters:
  `cacheId` - Cache ID.
  `pageId` - Page ID.
  `page` - Page pointer.
  `pageAddr` - Page address.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021